> ## Documentation Index
> Fetch the complete documentation index at: https://safepay.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Merchant Ledger Account

> Explore ledger account in detail



## OpenAPI

````yaml get /v1/aggregators/{raast-aggregator-id}/merchants/{aggregator-merchant-id}/ledger/accounts
openapi: 3.1.0
info:
  title: Raast Wire
  version: 1.0.0
  description: ''
servers:
  - url: https://api.getsafepay.com/raastwire
security: []
tags:
  - name: Aggregators
  - name: Access Keys
  - name: Merchants
  - name: Raast Merchants
  - name: Payments
  - name: Refunds
  - name: QRs
  - name: Utilities
  - name: Aliases
  - name: Ledgers
  - name: Webhooks
paths:
  /v1/aggregators/{raast-aggregator-id}/merchants/{aggregator-merchant-id}/ledger/accounts:
    parameters:
      - $ref: '#/components/parameters/AggregatorIdParam'
      - $ref: '#/components/parameters/MerchantIdParam'
    get:
      tags:
        - Ledgers
      summary: Find Merchant Ledger Account
      description: Explore ledger account in detail
      responses:
        '200':
          $ref: '#/components/responses/FindMerchantLedgerAccountResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - apiKey: []
components:
  parameters:
    AggregatorIdParam:
      name: raast-aggregator-id
      in: path
      required: true
      schema:
        type: string
        example: agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e
      description: The unique identifier for the aggregator
    MerchantIdParam:
      name: aggregator-merchant-id
      in: path
      required: true
      schema:
        type: string
        example: am_be454a50-7612-4dc6-a97e-284ebbe7ae93
      description: The unique identifier for the merchant
  responses:
    FindMerchantLedgerAccountResponse:
      description: This response contains details of an external merchant ledger account
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/StandardResponse'
              - type: object
                properties:
                  data:
                    $ref: '#/components/schemas/LedgerAccount'
          examples:
            MerchantLedgerAccountFound:
              value:
                api_version: v1
                data:
                  id: '47'
                  token: acct_9f23cbf6-8645-4599-b677-85f83175c3f2
                  account_type: ACCT_MERCHANT
                  account_name: Ali Aggre-Merch
                  normal_balance: SIDE_CREDIT
                  balance: '1060'
                  currency: PKR
                  running_balance: '0'
                  vault_token: lock_25d98436-1eea-4d0b-a9df-8f124631b25a
                  bank_acct_id: acc_831f36c0-97d2-4bd2-ae36-e36025f48ef4
                  external_partner_id: partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c
                  external_aggregator_id: agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e
                  external_merchant_id: am_27211e51-3e1e-4462-b0a5-138e62d265e6
                  created_at: '2026-01-06T09:28:11Z'
                  updated_at: '2026-01-06T09:28:11Z'
    Unauthorized:
      description: Unauthorized
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorEnvelope'
          examples:
            Unauthorized:
              value:
                api_version: v1
                error:
                  code: error.unauthorized_access
                  message: partner access key is required in request header
  headers:
    ContentLengthHeader:
      schema:
        type: string
        example: '256'
    DateHeader:
      schema:
        type: string
        example: Sat, 12 Aug 2023 08:55:04 GMT
  schemas:
    StandardResponse:
      type: object
      description: Standard response structure for successful operations
      properties:
        api_version:
          type: string
          example: v1
          description: The current version of the API spec
        data:
          type: object
          description: Contains the response data
    LedgerAccount:
      type: object
      description: ledger account record
      properties:
        id:
          type: string
        token:
          type: string
        account_type:
          type: string
        account_name:
          type: string
        normal_balance:
          type: string
        balance:
          type: string
        currency:
          type: string
        running_balance:
          type: string
        vault_token:
          type: string
        bank_acct_id:
          type: string
        external_partner_id:
          type: string
        external_aggregator_id:
          type: string
        external_merchant_id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    ApiErrorEnvelope:
      type: object
      description: Error wrapper that includes the API version and error metadata
      properties:
        api_version:
          type: string
          description: Indicates the API version associated with the response
          example: v1
        error:
          description: Structured error details describing why the request failed
          allOf:
            - $ref: '#/components/schemas/ErrorResponse'
          example:
            code: error.unauthorized_access
            message: partner access key is required in request header
    ErrorResponse:
      type: object
      description: Standard error response structure
      properties:
        code:
          type: string
          description: Error code identifying the type of error
        message:
          type: string
          description: Human-readable error message
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-SFPY-AGGREGATOR-SECRET-KEY
      in: header

````